### Hierarchy

- ICustomTableEngineEvents

## Index

### Methods

- onLevelComplete
- onMessage
- onSound
- onWin

## Methods

### Optional onLevelComplete

- onLevelComplete(newLevel: number): void | Promise<any>

- - Defined in index-browser.ts:29

  #### Parameters

  - ##### newLevel: number

  #### Returns void | Promise<any>

### Optional onMessage

- onMessage(message: string): void | Promise<any>

- - Defined in index-browser.ts:30

  #### Parameters

  - ##### message: string

  #### Returns void | Promise<any>

### Optional onSound

- onSound(sound: GameSound): void | Promise<any>

- - Defined in index-browser.ts:28

  #### Parameters

  - ##### sound: GameSound

  #### Returns void | Promise<any>

### Optional onWin

- onWin(): void | Promise<any>

- - Defined in index-browser.ts:31

  #### Returns void | Promise<any>

Generated using TypeDoc